import { BufferGeometry } from './buffer-geometry';
/**
 * Create a box geometry
 * @param width width of the box (default: 1)
 * @param height height of the box (default: 1)
 * @param depth depth of the box (default: 1)
 * @param widthSegments number of width segments (default: 1)
 * @param heightSegments number of height segments (default: 1)
 * @param depthSegments number of depth segments (default: 1)
 * @returns a buffer geometry
 */
export declare function createBoxGeometry(width?: number, height?: number, depth?: number, widthSegments?: number, heightSegments?: number, depthSegments?: number): BufferGeometry;
