export declare class Color {
    red: number;
    green: number;
    blue: number;
    alpha: number;
    /**
     * Color constructor
     * @param red intensity of red (0..255)
     * @param green intensity of green (0..255)
     * @param blue intensity of blue (0..255)
     * @param alpha alpha value (0..255)
     */
    constructor(red: number, green: number, blue: number, alpha?: number);
    static fromHex(color: string): Color;
    toVec3(): number[];
    toVec4(): number[];
}
