import { Uniform, Uniforms } from '../webgl/material';
export declare function setUniform(gl: WebGLRenderingContext, program: WebGLProgram, name: string, uniform: Uniform): boolean;
/**
 * Create a wrapper object from a uniforms object which automatically updates
 * uniforms in the rendering context
 * @param gl a WebGLRenderingContext initialized via canvas.getContext('webgl')
 * @param uniform
 * @returns wrapper object
 */
export declare function wrapUniforms(gl: WebGLRenderingContext, program: WebGLProgram, uniform: Uniforms): Uniforms;
