import { Mesh } from './mesh';
export declare class Renderer {
    canvas: HTMLCanvasElement;
    gl: WebGLRenderingContext;
    pixelRatio: number;
    constructor(canvas: HTMLCanvasElement);
    render(scene: Mesh[]): Renderer;
    setPixelRatio(pixelRatio: number): Renderer;
    setSize(width: number, height: number): Renderer;
    dispose(): void;
}
