import { Matrix } from './matrix';
/**
 * create rotation matrix
 * @param angle angle in radians
 */
export declare function rotation(angle: number): Matrix;
/**
 * create scaling matrix
 * @param sx X-scale factor
 * @param sy Y-scale factor
 */
export declare function scaling(sx: number, sy: number): Matrix;
