export declare class Stopwatch {
    private _startTime;
    private _totalElapsed;
    private _running;
    /**
     * start the stopwatch
     * @returns instance
     */
    start(): Stopwatch;
    /**
     * stop the stopwatch
     * @returns instance
     */
    stop(): Stopwatch;
    /**
     * reset the stopwatch
     * @returns instance
     */
    reset(): Stopwatch;
    get running(): boolean;
    get elapsedTime(): number;
}
