import { Vector } from './vector';
/**
 * Calculate the surface normal of a triangle
 * @param p1 3d vector of point 1
 * @param p2 3d vector of point 2
 * @param p3 3d vector of point 3
 */
export declare function calculateSurfaceNormal(p1: Vector, p2: Vector, p3: Vector): Vector;
